Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.linear
Interface QRDecomposition

All Known Implementing Classes:
  QRDecompositionImpl

    public interface QRDecomposition

An interface to classes that implement an algorithm to calculate the QR-decomposition of a real matrix.

This interface is based on the class with similar name from the JAMA library, with the following changes:

- a `getQT` method has been added,
- the `solve` and `isFullRank` methods have been replaced by a `getSolver` method and the equivalent methods provided by the returned `DecompositionSolver`.

Since:
  1.2
Version:
  $Revision: 826627 $ $Date: 2009-10-19 12:27:47 +0200 (lun. 19 oct. 2009) $
See Also:
  MathWorld, Wikipedia

Method Summary
`RealMatrix` | `getH()` Returns the Householder reflector vectors.
`RealMatrix` | `getQ()` Returns the matrix Q of the decomposition.
`RealMatrix` | `getQT()` Returns the transpose of the matrix Q of the decomposition.
`RealMatrix` | `getR()` Returns the matrix R of the decomposition.
`DecompositionSolver` | `getSolver()` Get a solver for finding the A × X = B solution in least square sense.

Method Detail

### getR

    RealMatrix getR()

  Returns the matrix R of the decomposition.

  R is an upper-triangular matrix

  Returns:
    the R matrix

### getQ

    RealMatrix getQ()

  Returns the matrix Q of the decomposition.

  Q is an orthogonal matrix

  Returns:
    the Q matrix

### getQT

    RealMatrix getQT()

  Returns the transpose of the matrix Q of the decomposition.

  Q is an orthogonal matrix

  Returns:
    the Q matrix

### getH

    RealMatrix getH()

  Returns the Householder reflector vectors.

  H is a lower trapezoidal matrix whose columns represent each successive Householder reflector vector. This matrix is used to compute Q.

  Returns:
    a matrix containing the Householder reflector vectors

### getSolver

    DecompositionSolver getSolver()

  Get a solver for finding the A × X = B solution in least square sense.

  Returns:
    a solver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.